# pandas.DataFrame.memory_usage

`DataFrame.``memory_usage`(index=False, deep=False)

  Memory usage of DataFrame columns.

  Parameters:

  index : bool

  > Specifies whether to include memory usage of DataFrame’s index in returned Series. If index=True (default is False) the first index of the Series is Index.

  deep : bool

  > Introspect the data deeply, interrogate object dtypes for system-level memory consumption

  Returns:

  sizes : Series

  > A series with column names as index and memory usage of columns with units of bytes.

  See also

  `numpy.ndarray.nbytes`

  Notes

  Memory usage does not include memory consumed by elements that are not components of the array if deep=False